--- title: "Delete a list of users" slug: "delete-a-list-of-users" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/delete-a-list-of-users" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Delete a list of users Post/api/v1/users/bulk-delete SecurityHTTPType bearer Query parametersnamestring The name of a user to filter loginNamestring The loginName of a user to filter mailstring The mail of a user to filter accountStatusstring The accountStatus of a user to filter. The available account status are Enabled, Disabled, Enabled* and Disabled* mfaboolean The mfa state of a user to filter. The available mfa states are true, false emailVerifiedboolean The email verified state of a user to filter. The available email verified states are true, false orgIdstring The ID of a particular org to filter groupNamestring The group name of a user to filter lastLoggedInstring Filter the user whose never loggedIn. Allowed value: Never lastLoggedInFromDatestring The earliest date to search in user loggedIn time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz) Example2021-05-06T10:50:35+0000 lastLoggedInToDatestring The latest date to search in user loggedIn time. The value should be ISO String (YYYY-MM-DDThh:mm:ssz) Example2021-05-06T10:50:35+0000 passwordExpiryFromDatestring The latest date to search in user password expiry time. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz) Example2021-05-06T10:50:35+0000 passwordExpiryToDatestring The future date to search in user password expiry time. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz) Example2021-05-06T10:50:35+0000 scheduleAccessExpiryFromDatestring The latest date to search in user schedule access expiry datetime. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz) Example2021-05-06T10:50:35+0000 scheduleAccessExpiryToDatestring The future date to search in user schedule access expiry datetime. The value should be ISO String (YYYY-MM-DDThh:mm:ss.ssz) Example2021-05-06T10:50:35+0000 tagsarray of string Filter user by tags siteIdstring The ID of a particular site to filter Body parameters The new account status for the user object deleteAllboolean objectGUID Array of string string Responses200 OK Expand Allobject authorizationboolean dataobject users Array of object object fStatestring loginNamestring namestring objectGUIDstring opStatusstring error_codeinteger error_messagestring error_statusboolean Examplefalse 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 500 Could not get users - Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean